<form [formGroup]="form" (ngSubmit)="onFilter()">
  <layout-filter-content
    [title]="'MERCHANT_MANAGER.MERCHANTS.FILTERS.TITLE' | translate"
    [description]="'MERCHANT_MANAGER.MERCHANTS.FILTERS.DESCRIPTION' | translate"
    [results]="(merchants$ | async)?.filtered"
    [hasFiltredData]="isMerchantsFiltred$ | async"
    (cleanFilters)="onCleanFilters()"
  >
    <div class="main-filter" slot="main-filter">
      <mo-input
        formControlName="search"
        [placeholder]="
          'MERCHANT_MANAGER.MERCHANTS.FILTERS.SEARCH_BAR' | translate
        "
        [icon]="'uil-search'"
        [iconPosition]="ICON_POSITION.RIGHT"
      ></mo-input>
    </div>
    <div slot="filters">
      <div class="filters">
        <mo-drop-down
          formControlName="status"
          [options]="statusOptions"
          [label]="'MERCHANT_MANAGER.MERCHANTS.FILTERS.STATUS' | translate"
          [defaultOptionName]="
            'MERCHANT_MANAGER.MERCHANTS.FILTERS.STATUS' | translate
          "
        ></mo-drop-down>
        <mo-date
          formControlName="created_at"
          [label]="
            'MERCHANT_MANAGER.MERCHANTS.FILTERS.DATE_CREATED_TITLE' | translate
          "
          [placeholder]="
            'MERCHANT_MANAGER.MERCHANTS.FILTERS.DATE_CREATED_PLACEHOLDER'
              | translate
          "
        ></mo-date>
        <!-- TODO IMPLEMENT WHEN BACK ADD IT -->
        <div></div>
        <div></div>
        <!-- 
      </div>
      <div class="filters">
        <mo-input
          formControlName="sales__gte"
          [label]="'MERCHANT_MANAGER.MERCHANTS.FILTERS.SALES_TITLE' | translate"
          [placeholder]="
            'MERCHANT_MANAGER.MERCHANTS.FILTERS.SALES_LESS' | translate
          "
          [type]="INPUT_TYPE.NUMBER"
          [icon]="'uil-usd-circle'"
          [iconPosition]="ICON_POSITION.LEFT"
        ></mo-input>
        <mo-input
          formControlName="sales__lte"
          [placeholder]="
            'MERCHANT_MANAGER.MERCHANTS.FILTERS.SALES_GRATHER' | translate
          "
          [type]="INPUT_TYPE.NUMBER"
          [icon]="'uil-usd-circle'"
          [iconPosition]="ICON_POSITION.LEFT"
        ></mo-input>
        <mo-input
          formControlName="payout__gte"
          [label]="
            'MERCHANT_MANAGER.MERCHANTS.FILTERS.PAYOUT_TITLE' | translate
          "
          [placeholder]="
            'MERCHANT_MANAGER.MERCHANTS.FILTERS.PAYOUT_LESS' | translate
          "
          [type]="INPUT_TYPE.NUMBER"
          [icon]="'uil-usd-circle'"
          [iconPosition]="ICON_POSITION.LEFT"
        ></mo-input>
        <mo-input
          formControlName="payout__lte"
          [placeholder]="
            'MERCHANT_MANAGER.MERCHANTS.FILTERS.PAYOUT_GRATHER' | translate
          "
          [type]="INPUT_TYPE.NUMBER"
          [icon]="'uil-usd-circle'"
          [iconPosition]="ICON_POSITION.LEFT"
        ></mo-input> -->

        <mo-button
          [text]="'APP.FILTERS.BTN_SEARCH' | translate"
          [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
          [displayBlock]="true"
          [size]="SIZES.MD"
          [type]="BUTTON_TYPE.SUBMIT"
        >
        </mo-button>
      </div>
    </div>
  </layout-filter-content>
</form>
